--- rc.modules.new	2006-09-12 02:09:10.000000000 -0400
+++ /etc/rc.d/rc.modules	2004-09-18 22:28:59.000000000 -0400
@@ -38,262 +38,12 @@
   /sbin/depmod -A
 fi
 
-#### APM support ###
-# APM is a BIOS specification for saving power using several different
-# techniques. This is mostly useful for battery powered laptops.
-#/sbin/modprobe apm
-
-#### PC parallel port support ###
-#if cat /proc/ksyms | grep "\[parport_pc\]" 1> /dev/null 2> /dev/null ; then
-#  echo "parport0 is built-in, not loading module" > /dev/null
-#else
-#  if [ -r /lib/modules/$RELEASE/kernel/drivers/parport/parport_pc.o \
-#       -o -r /lib/modules/$RELEASE/kernel/drivers/parport/parport_pc.o.gz \
-#       -o -r /lib/modules/$RELEASE/kernel/drivers/parport/parport_pc.ko ]; then
-#    # Generic setup example:
-#    /sbin/modprobe parport_pc
-#    # Hardware specific setup example  (PLIP requires an IRQ, and the
-#    # ECP protocol requires a DMA channel)
-#    # This may also give better performance in general.
-#    #/sbin/modprobe parport_pc io=0x378 irq=7 dma=1
-#  fi
-#fi
-
-#### Parallel printer support ###
-#if cat /proc/ksyms | grep "\[lp\]" 1> /dev/null 2> /dev/null ; then
-#  echo "lp support built-in, not loading module" > /dev/null
-#else
-#  if [ -r /lib/modules/$RELEASE/kernel/drivers/char/lp.o \
-#       -o -r /lib/modules/$RELEASE/kernel/drivers/char/lp.o.gz \
-#       -o -r /lib/modules/$RELEASE/kernel/drivers/char/lp.ko ]; then
-#    /sbin/modprobe lp
-#  fi
-#fi
-
 ### Filesystem Quota support ###
 if grep -q quota /etc/fstab ; then
-  #/sbin/modprobe quota_v1
-  /sbin/modprobe quota_v2
+  # modprobe quota_v1
+  modprobe quota_v2
 fi
 
-### Parallel port IP ###
-#/sbin/modprobe plip
-
-### AGP (Accelerated Graphics Port) GART support ###
-# This module takes care of programming the GART (part of your motherboard's
-# chipset that handles gathering data from memory and passing it to the
-# card) and enables faster AGP transfers.  The AGP GART module is required
-# to use AGP features of your 3D rendering video card.  You'll need this to
-# use XFree86's direct rendering support, for example.
-/sbin/modprobe agpgart
-
-### non-IDE CD-ROM drive support ###
-# These modules add CD-ROM drive support.  Most of these drivers will probe
-# for the I/O address and IRQ of the drive automatically if the parameters
-# to configure them are omitted. Typically the I/O address will be specified 
-# in hexadecimal, e.g.: cm206=0x300,11
-#
-# ***NONE*** of these drivers are for use with IDE/ATAPI CD-ROM drives.  That
-# support is already built into every pre-compiled Slackware Linux kernel.
-# Also, note that all of the manufacturers listed below stopped making these
-# types of wacky-interface drives years ago and all make IDE/ATAPI-interface
-# CD-ROM drives now.  So, just because your drive says "Mitsumi" on it is not 
-# reason enough to think you need the special Mitsumi module loaded, etc.  If
-# you got your drive within the last couple of years it's probably IDE.  Try 
-# tossing a disc in the drive and mounting it on the various IDE interfaces it
-# could be using, like /dev/hdc. 
-# 
-#/sbin/modprobe aztcd aztcd=<I/O address>
-#/sbin/modprobe cdu31a cdu31a_port=<I/O address> cdu31a_irq=<interrupt>
-#/sbin/modprobe cm206 cm206=<I/O address>,<IRQ>
-#/sbin/modprobe gscd gscd=<I/O address>
-#/sbin/modprobe mcd mcd=<I/O address>,<IRQ>
-#/sbin/modprobe mcdx mcdx=<I/O address>,<IRQ>
-#/sbin/modprobe optcd optcd=<I/O address>
-# Below, this last number is "1" for SoundBlaster Pro card, or "0" for a clone.
-#/sbin/modprobe sbpcd sbpcd=<I/O address>,1
-#/sbin/modprobe sonycd535 sonycd535=<I/O address>
-#/sbin/modprobe sjcd sjcd=<I/O address>
-
-# CD-ROM drives on ISP16, MAD16 or Mozart sound card:
-#/sbin/modprobe isp16=[<port>[,<irq>[,<dma>]]][[,]<drive_type>]
-#  where the values are one of: port=0x340,0x320,0x330,0x360
-#                               irq=0,3,5,7,9,10,11
-#                               dma=0,3,5,6,7
-#                               drive_type=noisp16,Sanyo,Panasonic,Sony,Mitsumi
-
-### Cyclades multiport serial card support ###
-#/sbin/modprobe cyclades
-
-#### Serial line IP support (SLIP/CSLIP/PPP) ###
-## This module is for SLIP/CSLIP support:
-#/sbin/modprobe slip
-
-## Load PPP:
-## Check kernel version to determine module names to use
-#if [ "`uname -r | cut -f 1,2 -d .`" = "2.2" ]; then
-#  # This module is for PPP support:
-#  /sbin/modprobe ppp
-#else # assume 2.4 or newer
-#  # This module is for PPP support:
-#  /sbin/modprobe ppp_generic
-#  # This PPP plugin supports PPP over serial lines:
-#  /sbin/modprobe ppp_async
-#  # Use this plugin instead for HDLC (used for high-speed leased lines like T1/E1)
-#  # /sbin/modprobe ppp_synctty
-#fi
-## This module provides compression for PPP (optional):
-##/sbin/modprobe ppp_deflate
-
-### USB Host Controllers:
-# Universal Host Controller Interface (Intel standard):
-#/sbin/modprobe usb-uhci
-# Universal Host Controller Interface (alternate JE):
-#/sbin/modprobe uhci
-# Open Host Controller Interface (Compaq/Microsoft/National standard):
-#/sbin/modprobe usb-ohci
-
-### USB device support:
-# (Note that once you've loaded USB hub support most USB devices will
-# trigger the kernel to load their modules automatically)
-# USB "Human Interface Device" driver; handles most USB mice, joysticks,
-# gamepads, steering wheels, keyboards, trackballs and digitizers.
-#/sbin/modprobe hid
-# Simple HIDBP USB mouse driver, if hid doesn't work:
-#/sbin/modprobe usbmouse
-# Simple HIDBP USB keyboard driver, if hid doesn't work:
-#/sbin/modprobe usbkbd
-# Wacom Graphire and Intuos tablet driver:
-#/sbin/modprobe wacom
-# Logitech WingMan Force joystick:
-#/sbin/modprobe wmforce
-# USB audio:
-#/sbin/modprobe audio
-# USB modem support:
-#/sbin/modprobe acm
-# USB serial converter:
-#/sbin/modprobe usbserial
-# USB printer support:
-#/sbin/modprobe printer
-# IBM "C-It" USB video camera:
-#/sbin/modprobe ibmcam framerate=1
-# USB OV511 Camera support:
-#/sbin/modprobe ov511
-# USB ADMtek Pegasus-based ethernet device support:
-#/sbin/modprobe pegasus
-# Kawasaki USB ethernet controller support:
-#/sbin/modprobe kaweth
-# USB Kodak DC-2xx Camera support:
-#/sbin/modprobe dc2xx
-# USB Mustek MDC800 Digital Camera Support:
-#/sbin/modprobe mdc800
-# USB Mass Storage support:
-#/sbin/modprobe usb-storage
-# USS720 parallel-port driver:
-#/sbin/modprobe uss720
-# Prolific PL-2302 USB-to-USB network device:
-#/sbin/modprobe plusb
-# USB Diamond Rio500 support:
-#/sbin/modprobe rio500
-# D-Link DSB-R100 FM radio support:
-#/sbin/modprobe dsbr100
-# USB Bluetooth support:
-#/sbin/modprobe bluetooth
-# USB scanner support (requires patched SANE from http://fachschaft.cup.uni-muenchen.de/~neukum/scanner.html):
-#/sbin/modprobe scanner
-
-### USB event drivers:
-# Keyboard input:
-#/sbin/modprobe keybdev
-# Mouse input:
-#/sbin/modprobe mousedev
-# Joystick input:
-#/sbin/modprobe joydev
-# Generic event reporting device:
-#/sbin/modprobe evdev
-
-### OSS Sound support ###
-### (Old Sound System ;-)
-# Sound Blaster Pro/16 support:
-#/sbin/modprobe sb io=0x220 irq=5 dma=3 dma16=5 mpu_io=0x300
-# Sound Blaster Live support:
-#/sbin/modprobe emu10k1
-# MAD16 support:
-#/sbin/modprobe mad16 io=0x530 irq=7 dma=0 dma16=1
-# AD1816(A) sound driver:
-#/sbin/modprobe modprobe ad1816 io=0x530 irq=5 dma=1 dma2=3 ad1816_clockfreq=33000
-# Crystal CS4232 based (PnP) cards:
-#/sbin/modprobe cs4232
-# ES1370 support, such as Sound Blaster 128PCI:
-#/sbin/modprobe es1370
-# ES1371 support, such as Sound Blaster 64V PCI:
-#/sbin/modprobe es1371
-# ESS Maestro, Maestro2, Maestro2E:
-#/sbin/modprobe maestro
-# ESS Maestro3/Allegro:
-#/sbin/modprobe maestro3
-# VIA VT82Cxxx Audio Controller
-#/sbin/modprobe via82cxxx_audio
-# (For information on configuring other sound cards with Linux,
-# see the documentation in /usr/src/linux/Documentation/sound/,
-# and /usr/src/linux/Documentation/Configure.help.
-
-### Joystick support ###
-# The core joystick input support module, needed by all of the
-# joystick devices below:
-#/sbin/modprobe joydev
-### Next, you must load a module for your gameport.
-# Classic ISA/PnP gameports:
-#/sbin/modprobe ns558
-# Crystal SoundFusion gameports:
-#/sbin/modprobe cs461x
-# Aureal Vortex and Trident 4DWave gameports:
-#/sbin/modprobe pcigame
-# SoundBlaster Live! gameports:
-#/sbin/modprobe emu10k1-gp
-### Drivers for various joystick devices ###
-# Analog joysticks and gamepads:
-#/sbin/modprobe analog
-# Assassin 3D and MadCatz Panther devices:
-#/sbin/modprobe a3d
-# Logitech ADI digital joysticks and gamepads:
-#/sbin/modprobe adi
-# Creative Labs Blaster Cobra gamepad:
-#/sbin/modprobe cobra
-# Genius Flight2000 Digital joysticks and gamepads:
-#/sbin/modprobe gf2k
-# Gravis GrIP joysticks and gamepads:
-#/sbin/modprobe grip
-# InterAct digital joysticks and gamepads:
-#/sbin/modprobe interact
-# ThrustMaster DirectConnect joysticks and gamepads:
-#/sbin/modprobe tmdc
-# Microsoft SideWinder digital joysticks and gamepads:
-#/sbin/modprobe sidewinder
-### Serial port game controller support ###
-# Both of these are needed for serial-port game controllers:
-#/sbin/modprobe serio
-#/sbin/modprobe serport
-# Logitech WingMan Warrior joystick:
-#/sbin/modprobe warrior
-# LogiCad3d Magellan/SpaceMouse 6dof controller:
-#/sbin/modprobe magellan
-# SpaceTec SpaceOrb/Avenger 6dof controller:
-#/sbin/modprobe spaceorb
-# SpaceTec SpaceBall 4000 FLX 6dof controller:
-#/sbin/modprobe spaceball
-# Gravis Stinger gamepad:
-#/sbin/modprobe stinger
-# I-Force joysticks/wheels:
-#/sbin/modprobe iforce
-### Parallel port connected controllers ###
-# Multisystem, Sega Genesis, Saturn joysticks and gamepads:
-#/sbin/modprobe db9
-# Multisystem, NES, SNES, N64, PSX joysticks and gamepads:
-#/sbin/modprobe gamecon
-# Multisystem joysticks via TurboGraFX device:
-#/sbin/modprobe turbografx
-
 ### Appletalk support ###
 # This is needed if you want to run netatalk, a package which allows
 # you to use you Linux box as a file and print server for Apple Macintosh 
